Bug 490504 - hp6390p / keymapping for display switch, brightness down, brightness up needs to fixed
hp6390p / keymapping for display switch, brightness down, brightness up needs...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 486128
  Show dependency treegraph
 
Reported: 2009-03-16 14:32 EDT by ritz
Modified: 2010-06-28 07:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 490507 (view as bug list)
Environment:
Last Closed: 2010-06-28 07:29:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ritz 2009-03-16 14:32:10 EDT
Description of problem:
these are the error messages generated (for display switch, brightness down, brightness up, respectively): when using the multimedia keys

atkbd.c: Unknown key pressed (translated set 2, code 0xee on isa0060/serio0).
atkbd.c: Use 'setkeycodes e06e <keycode>' to make it known.

atkbd.c: Unknown key pressed (translated set 2, code 0x92 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e012 <keycode>' to make it known.

atkbd.c: Unknown key pressed (translated set 2, code 0x97 on isa0060/serio0).
atkbd.c: Use 'setkeycodes e017 <keycode>' to make it known.


Version-Release number of selected component (if applicable):
http://cgit.freedesktop.org/hal-info/tree/fdi/information/10freedesktop/30-keymap-hp.fdi, as of 17th March, 2009.

How reproducible:
always

Steps to Reproduce:
1. Use the multimedia keys in question
  
Actual results:
bad mojo

Expected results:
good mojo

Additional info:

edit the line below in 30-keymap-hp.fdi

          <match key="/org/freedesktop/Hal/devices/computer:system.hardware.product" contains_outof="4410s;4411s;4415s;4416s;6730s;6730b;Compaq 5X5">

to

          <match key="/org/freedesktop/Hal/devices/computer:system.hardware.product" contains_outof="4410s;4411s;4415s;4416s;6730s;6730b;6930p;Compaq 5X5">

this would need to be reported to upstream.
Comment 2 Bug Zapper 2009-06-09 08:17:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 09:12:48 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 07:29:06 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.